# see https://symfony.com/doc/current/reference/configuration/framework.html
framework:
    form: { enabled: true }
    secret: '%env(APP_SECRET)%'
    default_locale: en
    csrf_protection: true
    validation: { enabled: true }
    #http_method_override: true

    # Enables session support. Note that the session will ONLY be started if you read or write from it.
    # Remove or comment this section to explicitly disable session support.
    session:
         # enables the support of sessions in the app
        enabled: true
        # ID of the service used for session storage.
        # NULL means that Symfony uses PHP default session mechanism
        handler_id: null
        # improves the security of the cookies used for sessions
        cookie_secure: 'auto'
        cookie_samesite: 'lax'
        # name: Kohinossessid
        gc_probability: null

    #esi: true
    #fragments: true
    php_errors:
        log: true

    serializer: { enable_annotations: true }

    cache:
        # Put the unique name of your app here: the prefix seed
        # is used to compute stable namespaces for cache keys.
        #prefix_seed: your_vendor_name/app_name

        # The app cache caches to the filesystem by default.
        # Other options include:

        # Redis
        #app: cache.adapter.redis
        #default_redis_provider: redis://localhost

        # APCu (not recommended with heavy random-write workloads as memory fragmentation can cause perf issues)
        #app: cache.adapter.apcu
